Page MenuHomeFreeBSD

Bug 218860 - libelf doesn't reload section headers after update with ELF_C_WRITE
ClosedPublic

Authored by eric_metricspace.net on Apr 24 2017, 11:15 PM.

Details

Summary

The libelf library in base doesn't reload section headers after clearing them when performing an elf_update with ELF_C_WRITE. This is because it fails to clear a flag indicating that the section headers have been loaded.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

cem added a subscriber: cem.Apr 24 2017, 11:21 PM

Please upload a patch with context (-U99999) (or use arc).

cem accepted this revision.Apr 24 2017, 11:27 PM
This revision is now accepted and ready to land.Apr 24 2017, 11:27 PM
cem added a comment.Nov 17 2017, 7:44 PM

@emaste , @kaiw , any objection to committing this change?

In D10486#273287, @cem wrote:

@emaste , @kaiw , any objection to committing this change?

I have no objection, although I'd really like kaiw@ to comment

emaste added a comment.Aug 1 2018, 1:51 PM

I pinged @kaiw by email requesting a look at this change.

Background on this (and the other related change): I ran into both issues implementing signelf. They caused anomalous bugs, and I tracked them down and fixed them. So they're definitely issues, and the fixes definitely work.

emaste added a comment.Aug 1 2018, 2:07 PM

Other issue in D10487

This revision was automatically updated to reflect the committed changes.